org.springframework.ldap.core.support

## Class DirContextSource

- java.lang.Object
- - org.springframework.ldap.core.support.AbstractContextSource
  - - org.springframework.ldap.core.support.DirContextSource

- All Implemented Interfaces:
    InitializingBean, ContextSource, BaseLdapPathContextSource, BaseLdapPathSource

      public class DirContextSource
      extends AbstractContextSource

  ContextSource implementation which creates InitialDirContext instances, for LDAPv2 compatibility. For configuration information, see `AbstractContextSource`.
  Author:
    Mattias Hellborg Arthursson
  See Also:
    `AbstractContextSource`

- - ### Field Summary

    - ### Fields inherited from class org.springframework.ldap.core.support.AbstractContextSource

      `password, SUN_LDAP_POOLING_FLAG, userDn`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirContextSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DirContext` | `getDirContextInstance(Hashtable environment)` Create a new InitialDirContext instance.

    - ### Methods inherited from class org.springframework.ldap.core.support.AbstractContextSource

      `afterPropertiesSet, assembleProviderUrlString, createContext, getAnonymousEnv, getAuthenticatedEnv, getAuthenticationSource, getBaseLdapName, getBaseLdapPath, getBaseLdapPathAsString, getContext, getContextFactory, getDirObjectFactory, getPassword, getReadOnlyContext, getReadWriteContext, getUrls, getUserDn, isAnonymousReadOnly, isPooled, setAnonymousReadOnly, setAuthenticationSource, setAuthenticationStrategy, setBase, setBaseEnvironmentProperties, setCacheEnvironmentProperties, setContextFactory, setDirObjectFactory, setPassword, setPooled, setReferral, setupAuthenticatedEnvironment, setUrl, setUrls, setUserDn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirContextSource

          public DirContextSource()

  - ### Method Detail

    - #### getDirContextInstance

          protected DirContext getDirContextInstance(Hashtable environment)
                                              throws NamingException

      Create a new InitialDirContext instance.
      Specified by:
        `getDirContextInstance` in class `AbstractContextSource`
      Parameters:
        `environment` - the environment to use when creating the context.
      Returns:
        a new InitialDirContext implementation.
      Throws:
        `NamingException` - if one is encountered when creating the instance.